Package org.eclipse.net4j.util.io

## Class StreamWrapperChain

- java.lang.Object
- - org.eclipse.net4j.util.io.DelegatingStreamWrapper
  - - org.eclipse.net4j.util.io.StreamWrapperChain

- All Implemented Interfaces:
    `IStreamWrapper`

      public class StreamWrapperChain
      extends DelegatingStreamWrapper

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.IStreamWrapper

      `IStreamWrapper.Factory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamWrapperChain​(IStreamWrapper head, IStreamWrapper delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doFinishInputStream​(java.io.InputStream in)` |
    `protected void` | `doFinishOutputStream​(java.io.OutputStream out)` |
    `protected java.io.InputStream` | `doWrapInputStream​(java.io.InputStream in)` |
    `protected java.io.OutputStream` | `doWrapOutputStream​(java.io.OutputStream out)` |
    `IStreamWrapper` | `getHead()` |

    - ### Methods inherited from class org.eclipse.net4j.util.io.DelegatingStreamWrapper

      `finishInputStream, finishOutputStream, getDelegate, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamWrapperChain

          public StreamWrapperChain​(IStreamWrapper head,
                                    IStreamWrapper delegate)

  - ### Method Detail

    - #### getHead

          public IStreamWrapper getHead()

    - #### doWrapInputStream

          protected java.io.InputStream doWrapInputStream​(java.io.InputStream in)
                                                   throws java.io.IOException

      Specified by:
        `doWrapInputStream` in class `DelegatingStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### doWrapOutputStream

          protected java.io.OutputStream doWrapOutputStream​(java.io.OutputStream out)
                                                     throws java.io.IOException

      Specified by:
        `doWrapOutputStream` in class `DelegatingStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### doFinishInputStream

          protected void doFinishInputStream​(java.io.InputStream in)
                                      throws java.io.IOException

      Specified by:
        `doFinishInputStream` in class `DelegatingStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### doFinishOutputStream

          protected void doFinishOutputStream​(java.io.OutputStream out)
                                       throws java.io.IOException

      Specified by:
        `doFinishOutputStream` in class `DelegatingStreamWrapper`
      Throws:
        `java.io.IOException`